Loading...
Searching...
No Matches
Dune::RedistributeInterface Struct Reference

`#include <dune/istl/repartition.hh>`

Inheritance diagram for Dune::RedistributeInterface:

## Public Member Functions

void | setCommunicator (MPI_Comm comm)
template<class Flags, class IS>
void | buildSendInterface (const std::vector< int > &toPart, const IS &idxset)
void | reserveSpaceForReceiveInterface (int proc, int size)
void | addReceiveIndex (int proc, std::size_t idx)
template<typename TG>
void | buildReceiveInterface (std::vector< std::pair< TG, int > > &indices)

## Member Function Documentation

## addReceiveIndex()

void Dune::RedistributeInterface::addReceiveIndex | ( | int | proc,
|  | std::size_t | idx )

inline

## buildReceiveInterface()

template<typename TG>

void Dune::RedistributeInterface::buildReceiveInterface | ( | std::vector< std::pair< TG, int > > & | indices | ) |

inline

## buildSendInterface()

template<class Flags, class IS>

void Dune::RedistributeInterface::buildSendInterface | ( | const std::vector< int > & | toPart,
|  | const IS & | idxset )

inline

## reserveSpaceForReceiveInterface()

void Dune::RedistributeInterface::reserveSpaceForReceiveInterface | ( | int | proc,
|  | int | size )

inline

## setCommunicator()

void Dune::RedistributeInterface::setCommunicator | ( | MPI_Comm | comm | ) |

inline

The documentation for this struct was generated from the following file:

- repartition.hh